[Pkg-chromium-commit] [pkg-chromium] 01/03: scripts/chromium: make sse test x86 specific
Riku Voipio
riku at moszumanska.debian.org
Mon Dec 5 11:57:37 UTC 2016
This is an automated email from the git hooks/post-receive script.
riku pushed a commit to branch arm-experimental
in repository pkg-chromium.
commit ca910583ea7748f150061b659efc76fc1c27c63e
Author: Riku Voipio <riku.voipio at linaro.org>
Date: Mon Dec 5 13:54:02 2016 +0200
scripts/chromium: make sse test x86 specific
Make it possible run chromium wrapper script on
non-x86 platforms.
---
debian/scripts/chromium | 14 +++++++++-----
1 file changed, 9 insertions(+), 5 deletions(-)
diff --git a/debian/scripts/chromium b/debian/scripts/chromium
index 5b08d3f..da577ac 100644
--- a/debian/scripts/chromium
+++ b/debian/scripts/chromium
@@ -30,11 +30,15 @@ The upstream chromium project no longer supports this configuration.
For more information, please read and possibly provide input to their
bug tracking system at http://crbug.com/348761."
-# Check whether this system supports sse2
-if test -z "$(grep sse2 /proc/cpuinfo)"; then
- xmessage "$nosse2"
- exit 1
-fi
+case `uname -m` in
+ i386|i586|i686|x86_64)
+ # Check whether this system supports sse2
+ if ! grep -q sse2 /proc/cpuinfo; then
+ xmessage "$nosse2"
+ exit 1
+ fi
+ ;;
+esac
# Source additional settings
for file in /etc/chromium.d/*; do
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-chromium/pkg-chromium.git
More information about the Pkg-chromium-commit
mailing list